---
# BLE TX click

<PRVIH_PAR_RECENICA_SA_PRODUCT_PAGE_DA_ISPRATE_CELINU>

<p align="center">
  <img src="CLICK_IMAGE_LINK" height=300px>
</p>

[click Product page](<CLICK_PRODUCT_PAGE_LINK>)

---


#### Click library

- **Author**        : Nenad Filipovic
- **Date**          : Mar 2021.
- **Type**          : I2C type


# Software Support

We provide a library for the BleTx Click
as well as a demo application (example), developed using MikroElektronika
[compilers](https://www.mikroe.com/necto-studio).
The demo can run on all the main MikroElektronika [development boards](https://www.mikroe.com/development-boards).

Package can be downloaded/installed directly from *NECTO Studio Package Manager*(recommended way), downloaded from our [LibStock&trade;](https://libstock.mikroe.com) or found on [mikroE github account](https://github.com/MikroElektronika/mikrosdk_click_v2/tree/master/clicks).

## Library Description

> This library contains API for BleTx Click driver.

#### Standard key functions :

- `bletx_cfg_setup` Config Object Initialization function.
```c
void bletx_cfg_setup ( bletx_cfg_t *cfg );
```

- `bletx_init` Initialization function.
```c
BLETX_RETVAL bletx_init ( bletx_t *ctx, bletx_cfg_t *cfg );
```

- `bletx_default_cfg` Click Default Configuration function.
```c
void bletx_default_cfg ( bletx_t *ctx );
```

#### Example key functions :

- `<FUNCTION_NAME>` <FUNCTION_DESCRIPTION>
```c
<FUNCTION_DECLARATION>
```

- `<FUNCTION_NAME>` <FUNCTION_DESCRIPTION>
```c
<FUNCTION_DECLARATION>
```

- `<FUNCTION_NAME>` <FUNCTION_DESCRIPTION>
```c
<FUNCTION_DECLARATION>
```

## Example Description

> <EXAMPLE_DESCRIPTION>

**The demo application is composed of two sections :**

### Application Init

> <APPLICATION_INIT_DESCRIPTION>

```c

void application_init ( void )
{

}

```

### Application Task

<APPLICATION_TASK_DESCRIPTION>

```c

void application_task ( void )
{

}

```

## Note

> <NOTE_IF_REQUIRED>

The full application code, and ready to use projects can be installed directly from *NECTO Studio Package Manager*(recommended way), downloaded from our [LibStock&trade;](https://libstock.mikroe.com) or found on [mikroE github account](https://github.com/MikroElektronika/mikrosdk_click_v2/tree/master/clicks).

**Other mikroE Libraries used in the example:**

- MikroSDK.Board
- MikroSDK.Log
- Click.BleTx

**Additional notes and informations**

Depending on the development board you are using, you may need
[USB UART click](https://www.mikroe.com/usb-uart-click),
[USB UART 2 Click](https://www.mikroe.com/usb-uart-2-click) or
[RS232 Click](https://www.mikroe.com/rs232-click) to connect to your PC, for
development systems with no UART to USB interface available on the board. UART
terminal is available in all Mikroelektronika
[compilers](https://shop.mikroe.com/compilers).

---
